# Uses of Class
org.pentaho.reporting.libraries.resourceloader.ResourceKey

Packages that use ResourceKey
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.factory
org.pentaho.reporting.libraries.resourceloader.factory.image
org.pentaho.reporting.libraries.resourceloader.factory.property
org.pentaho.reporting.libraries.resourceloader.loader
org.pentaho.reporting.libraries.resourceloader.loader.file
org.pentaho.reporting.libraries.resourceloader.loader.raw
org.pentaho.reporting.libraries.resourceloader.loader.resource
org.pentaho.reporting.libraries.resourceloader.loader.zip
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache
org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg
org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader

Methods in org.pentaho.reporting.libraries.resourceloader that return ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
DefaultResourceManagerBackend.`createKey(Object data, Map parameters)`
`ResourceKey`
ResourceLoader.`createKey(Object value, Map factoryKeys)`
Creates a new resource key from the given object and the factory keys.
`ResourceKey`
ResourceManager.`createKey(Object data)`
Creates a ResourceKey that carries no Loader-Parameters from the given object.
`ResourceKey`
ResourceManager.`createKey(Object data, Map parameters)`
Creates a ResourceKey that carries the given Loader-Parameters contained in the optional map.
`ResourceKey`
ResourceManagerBackend.`createKey(Object data, Map parameters)`
`ResourceKey`
DefaultResourceManagerBackend.`deriveKey(ResourceKey parent, String path, Map parameters)`
Derives a new key from the given resource-key.
`ResourceKey`
ResourceBundleLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ResourceManager.`deriveKey(ResourceKey parent, String path)`
Derives a new key from the given resource-key.
`ResourceKey`
ResourceManager.`deriveKey(ResourceKey parent, String path, Map parameters)`
Derives a new key from the given resource-key.
`ResourceKey`
ResourceManagerBackend.`deriveKey(ResourceKey parent, String path, Map parameters)`
`ResourceKey`
DefaultResourceManagerBackend.`deserialize(ResourceKey bundleKey, String serializedKey)`
Converts a serialized version of a `ResourceKey` into an actual `ResourceKey` by locating the proper `ResourceLoader` that can perform the deserialization.
`ResourceKey`
ResourceBundleLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Creates a `ResourceKey` based off the `String` representation of the key.
`ResourceKey`
ResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Creates a `ResourceKey` based off the `String` representation of the key.
`ResourceKey`
ResourceManager.`deserialize(ResourceKey bundleKey, String serializedKey)`
Converts a serialized version of a `ResourceKey` into an actual `ResourceKey` by locating the proper `ResourceLoader` that can perform the deserialization.
`ResourceKey`
ResourceManagerBackend.`deserialize(ResourceKey bundleKey, String serializedKey)`
`static ResourceKey`
ResourceKeyUtils.`embedResourceInKey(ResourceManager manager, ResourceKey source, Map factoryParameters)`
Returns a new ResourceKey with the specified source resource embedded inside as a byte []
`ResourceKey`
ResourceBundleData.`getBundleKey()`
`ResourceKey[]`
CompoundResource.`getDependencies()`
The primary source is also included in this set.
`ResourceKey[]`
DependencyCollector.`getDependencies()`
`ResourceKey[]`
Resource.`getDependencies()`
The primary source is also included in this set.
`ResourceKey[]`
SimpleResource.`getDependencies()`
The primary source is also included in this set.
`ResourceKey`
ResourceData.`getKey()`
`ResourceKey`
ResourceKey.`getParent()`
`ResourceKey`
CompoundResource.`getSource()`
`ResourceKey`
Resource.`getSource()`
`ResourceKey`
SimpleResource.`getSource()`
`static ResourceKey`
ResourceKeyUtils.`toResourceKey(Object value, ResourceManager resourceManager, ResourceKey contextKey, Map parameters)`
Performs a simple attempt at a "smart" conversion to a ResourceKey.
Methods in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceKey
Modifier and Type
Method
Description
`void`
DependencyCollector.`add(ResourceKey resourceKey, long version)`
`Resource`
DefaultResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData data, ResourceKey context, Class[] target)`
`Resource`
ResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
Creates a resource by interpreting the data given in the resource-data object.
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context)`
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context, Class target)`
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context, Class[] target)`
`Resource`
ResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData key, ResourceKey context, Class[] target)`
`ResourceBundleData`
ResourceBundleData.`deriveData(ResourceKey key)`
`ResourceKey`
DefaultResourceManagerBackend.`deriveKey(ResourceKey parent, String path, Map parameters)`
Derives a new key from the given resource-key.
`ResourceKey`
ResourceBundleLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ResourceManager.`deriveKey(ResourceKey parent, String path)`
Derives a new key from the given resource-key.
`ResourceKey`
ResourceManager.`deriveKey(ResourceKey parent, String path, Map parameters)`
Derives a new key from the given resource-key.
`ResourceKey`
ResourceManagerBackend.`deriveKey(ResourceKey parent, String path, Map parameters)`
`ResourceKey`
DefaultResourceManagerBackend.`deserialize(ResourceKey bundleKey, String serializedKey)`
Converts a serialized version of a `ResourceKey` into an actual `ResourceKey` by locating the proper `ResourceLoader` that can perform the deserialization.
`ResourceKey`
ResourceBundleLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Creates a `ResourceKey` based off the `String` representation of the key.
`ResourceKey`
ResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Creates a `ResourceKey` based off the `String` representation of the key.
`ResourceKey`
ResourceManager.`deserialize(ResourceKey bundleKey, String serializedKey)`
Converts a serialized version of a `ResourceKey` into an actual `ResourceKey` by locating the proper `ResourceLoader` that can perform the deserialization.
`ResourceKey`
ResourceManagerBackend.`deserialize(ResourceKey bundleKey, String serializedKey)`
`static ResourceKey`
ResourceKeyUtils.`embedResourceInKey(ResourceManager manager, ResourceKey source, Map factoryParameters)`
Returns a new ResourceKey with the specified source resource embedded inside as a byte []
`long`
CompoundResource.`getVersion(ResourceKey key)`
`long`
DependencyCollector.`getVersion(ResourceKey key)`
`long`
Resource.`getVersion(ResourceKey key)`
`long`
SimpleResource.`getVersion(ResourceKey key)`
`boolean`
ResourceBundleLoader.`isSupportedKey(ResourceKey key)`
Checks, whether this resource loader implementation was responsible for creating this key.
`boolean`
ResourceLoader.`isSupportedKey(ResourceKey key)`
Checks, whether this resource loader implementation was responsible for creating this key.
`ResourceData`
ResourceLoader.`load(ResourceKey key)`
Loads the binary data represented by this key.
`ResourceData`
ResourceManager.`load(ResourceKey key)`
`ResourceBundleData`
ResourceBundleLoader.`loadBundle(ResourceManager resourceManager, ResourceKey key)`
Tries to load the bundle.
`ResourceData`
DefaultResourceManagerBackend.`loadRawData(ResourceManager frontEnd, ResourceKey key)`
`ResourceData`
ResourceManager.`loadRawData(ResourceKey key)`
`ResourceData`
ResourceManagerBackend.`loadRawData(ResourceManager frontEnd, ResourceKey key)`
`ResourceBundleData`
DefaultResourceManagerBackend.`loadResourceBundle(ResourceManager frontEnd, ResourceKey key)`
Tries to find the first resource-bundle-loader that would be able to process the key.
`ResourceBundleData`
ResourceManager.`loadResourceBundle(ResourceKey key)`
Tries to find the first resource-bundle-loader that would be able to process the key.
`ResourceBundleData`
ResourceManagerBackend.`loadResourceBundle(ResourceManager frontEnd, ResourceKey key)`
`String`
DefaultResourceManagerBackend.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the `ResourceKey` that can be deserialized with the `deserialize()` method.
`String`
ResourceBundleLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Serializes the resource key to a String representation which can be recreated using the `deserialize(ResourceKey)`method.``
`String`
ResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Serializes the resource key to a String representation which can be recreated using the `deserialize(ResourceKey)`method.``
`String`
ResourceManager.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the `ResourceKey` that can be deserialized with the `deserialize()` method.
`String`
ResourceManagerBackend.`serialize(ResourceKey bundleKey, ResourceKey key)`
`static ResourceKey`
ResourceKeyUtils.`toResourceKey(Object value, ResourceManager resourceManager, ResourceKey contextKey, Map parameters)`
Performs a simple attempt at a "smart" conversion to a ResourceKey.
`URL`
DefaultResourceManagerBackend.`toURL(ResourceKey key)`
`URL`
ResourceLoader.`toURL(ResourceKey key)`
Generates a `URL` version of the supplied `ResourceKey`.
`URL`
ResourceManager.`toURL(ResourceKey key)`
Tries to convert the resource-key into an URL.
`URL`
ResourceManagerBackend.`toURL(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceKey
Modifier
Constructor
Description
``
`CompoundResource(ResourceKey source, DependencyCollector dependencies, Object product, Class targetType)`
``
`DependencyCollector(ResourceKey source, long version)`
``
`ResourceKey(ResourceKey parent, Object schema, Object identifier, Map factoryParameters)`
``
`SimpleResource(ResourceKey key, Object value, Class targetType, long version)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.cache

Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
CachingResourceBundleData.`getBundleKey()`
`ResourceKey[]`
BundleCacheResourceWrapper.`getDependencies()`
`ResourceKey`
CachingResourceBundleData.`getKey()`
`ResourceKey`
CachingResourceData.`getKey()`
`ResourceKey`
BundleCacheResourceWrapper.`getSource()`
Methods in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceKey
Modifier and Type
Method
Description
`ResourceBundleData`
CachingResourceBundleData.`deriveData(ResourceKey key)`
`static String`
CacheUtility.`externalizeKey(ResourceKey key)`
`ResourceBundleDataCacheEntry`
NullResourceBundleDataCache.`get(ResourceKey key)`
`ResourceDataCacheEntry`
NullResourceDataCache.`get(ResourceKey key)`
`Resource`
NullResourceFactoryCache.`get(ResourceKey key, Class[] target)`
`ResourceBundleDataCacheEntry`
ResourceBundleDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.
`ResourceDataCacheEntry`
ResourceDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.
`Resource`
ResourceFactoryCache.`get(ResourceKey key, Class[] target)`
`long`
BundleCacheResourceWrapper.`getVersion(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceKey
Modifier
Constructor
Description
``
`BundleCacheResourceWrapper(Resource parent, ResourceKey outsideKey)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.factory

Methods in org.pentaho.reporting.libraries.resourceloader.factory with parameters of type ResourceKey
Modifier and Type
Method
Description
`Resource`
AbstractResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
`Resource`
FactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.factory.image

Methods in org.pentaho.reporting.libraries.resourceloader.factory.image with parameters of type ResourceKey
Modifier and Type
Method
Description
`Resource`
GIFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
JPEGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
PNGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.factory.property

Methods in org.pentaho.reporting.libraries.resourceloader.factory.property with parameters of type ResourceKey
Modifier and Type
Method
Description
`Resource`
PropertiesResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.loader

Methods in org.pentaho.reporting.libraries.resourceloader.loader that return ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
URLResourceLoader.`createKey(Object value, Map factoryKeys)`
Creates a new resource key from the given object and the factory keys.
`ResourceKey`
URLResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
URLResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Parses the input string and returns a newly created ResourceKey based on the string data
`ResourceKey`
URLResourceData.`getKey()`
Methods in org.pentaho.reporting.libraries.resourceloader.loader with parameters of type ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
URLResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
URLResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Parses the input string and returns a newly created ResourceKey based on the string data
`boolean`
URLResourceLoader.`isSupportedKey(ResourceKey key)`
Checks, whether this resource loader implementation was responsible for creating this key.
`ResourceData`
URLResourceLoader.`load(ResourceKey key)`
`String`
URLResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the resource key that can be used to generate a new ResourceKey object via deserialization
`URL`
URLResourceLoader.`toURL(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader.loader with parameters of type ResourceKey
Modifier
Constructor
Description
``
`URLResourceData(ResourceKey key)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.loader.file

Methods in org.pentaho.reporting.libraries.resourceloader.loader.file that return ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
FileResourceLoader.`createKey(Object value, Map factoryKeys)`
Creates a new resource key from the given object and the factory keys.
`ResourceKey`
FileResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
FileResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Generates a String representation of the ResourceKey specified.
`ResourceKey`
FileResourceData.`getKey()`
Methods in org.pentaho.reporting.libraries.resourceloader.loader.file with parameters of type ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
FileResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
FileResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Generates a String representation of the ResourceKey specified.
`boolean`
FileResourceLoader.`isSupportedKey(ResourceKey key)`
Checks, whether this resource loader implementation was responsible for creating this key.
`ResourceData`
FileResourceLoader.`load(ResourceKey key)`
`String`
FileResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Generates a String representation of the ResourceKey specified.
`URL`
FileResourceLoader.`toURL(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader.loader.file with parameters of type ResourceKey
Modifier
Constructor
Description
``
`FileResourceData(ResourceKey key)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.loader.raw

Methods in org.pentaho.reporting.libraries.resourceloader.loader.raw that return ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
RawResourceLoader.`createKey(Object value, Map factoryKeys)`
Creates a new resource key from the given object and the factory keys.
`ResourceKey`
RawResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
RawResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Parses the input string and returns a newly created ResourceKey based on the string data
`ResourceKey`
RawResourceData.`getKey()`
Methods in org.pentaho.reporting.libraries.resourceloader.loader.raw with parameters of type ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
RawResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
RawResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Parses the input string and returns a newly created ResourceKey based on the string data
`boolean`
RawResourceLoader.`isSupportedKey(ResourceKey key)`
Checks, whether this resource loader implementation was responsible for creating this key.
`ResourceData`
RawResourceLoader.`load(ResourceKey key)`
`String`
RawResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the resource key that can be used to generate a new ResourceKey object via deserialization
`URL`
RawResourceLoader.`toURL(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader.loader.raw with parameters of type ResourceKey
Modifier
Constructor
Description
``
`RawResourceData(ResourceKey rawKey)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.loader.resource

Methods in org.pentaho.reporting.libraries.resourceloader.loader.resource that return ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
ClassloaderResourceLoader.`createKey(Object value, Map factoryKeys)`
Creates a new resource key from the given object and the factory keys.
`ResourceKey`
ClassloaderResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ClassloaderResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Parses the input string and returns a newly created ResourceKey based on the string data
`ResourceKey`
ClassloaderResourceData.`getKey()`
Methods in org.pentaho.reporting.libraries.resourceloader.loader.resource with parameters of type ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
ClassloaderResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ClassloaderResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
Parses the input string and returns a newly created ResourceKey based on the string data
`boolean`
ClassloaderResourceLoader.`isSupportedKey(ResourceKey key)`
Checks, whether this resource loader implementation was responsible for creating this key.
`ResourceData`
ClassloaderResourceLoader.`load(ResourceKey key)`
`String`
ClassloaderResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the resource key that can be used to generate a new ResourceKey object via deserialization
`URL`
ClassloaderResourceLoader.`toURL(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader.loader.resource with parameters of type ResourceKey
Modifier
Constructor
Description
``
`ClassloaderResourceData(ResourceKey key)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.loader.zip

Methods in org.pentaho.reporting.libraries.resourceloader.loader.zip that return ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
ZipResourceLoader.`createKey(Object value, Map factoryKeys)`
Creates a new resource key from the given object and the factory keys.
`ResourceKey`
ZipResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ZipResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
`ResourceKey`
ZipResourceData.`getKey()`
Methods in org.pentaho.reporting.libraries.resourceloader.loader.zip with parameters of type ResourceKey
Modifier and Type
Method
Description
`ResourceKey`
ZipResourceLoader.`deriveKey(ResourceKey parent, String path, Map factoryKeys)`
Derives a new resource key from the given key.
`ResourceKey`
ZipResourceLoader.`deserialize(ResourceKey bundleKey, String stringKey)`
`boolean`
ZipResourceLoader.`isSupportedKey(ResourceKey key)`
Checks, whether this resource loader implementation was responsible for creating this key.
`ResourceData`
ZipResourceLoader.`load(ResourceKey key)`
`String`
ZipResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
`URL`
ZipResourceLoader.`toURL(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader.loader.zip with parameters of type ResourceKey
Modifier
Constructor
Description
``
`ZipResourceData(ResourceKey key)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache with parameters of type ResourceKey
Modifier and Type
Method
Description
`ResourceBundleDataCacheEntry`
EHResourceBundleDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.
`ResourceDataCacheEntry`
EHResourceDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.
`Resource`
EHResourceFactoryCache.`get(ResourceKey key, Class[] target)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio with parameters of type ResourceKey
Modifier and Type
Method
Description
`Resource`
ImageIOFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg with parameters of type ResourceKey
Modifier and Type
Method
Description
`Resource`
SVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
SVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceKey in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf with parameters of type ResourceKey
Modifier and Type
Method
Description
`Resource`
WMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`